#include <ccblkfn.h>
#include <builtins.h>
#include <services/int/adi_int.h>
#include "adi_initialize.h"

int32_t l_count = 0;

void s_gpio_int_isr(uint32_t iid, void* handlerArg)
{
	*pREG_PINT3_REQ = BITM_PINT_REQ_PIQ10;
	l_count++;
}

int main(void)
{
    // GPIO PD_10 PINT3
	*pREG_PORTD_FER &= ~BITM_PORT_FER_PX10;
	*pREG_PORTD_DIR_CLR  = BITM_PORT_DIR_CLR_PX10;
	*pREG_PORTD_INEN_SET = BITM_PORT_INEN_SET_PX10;

	*pREG_PINT3_ASSIGN = 0;
	*pREG_PINT3_EDGE_SET = BITM_PINT_EDGE_SET_PIQ10;
	adi_int_InstallHandler(INTR_PINT3_BLOCK, s_gpio_int_isr, 0, true);
	*pREG_PINT3_MSK_SET = BITM_PINT_MSK_SET_PIQ10;

	while(1) ssync();

	return 0;
}

